LINUX.ORG.RU

В Debian обновился Wine...

 ,


0

1

Мейтейнер наконец-то проснулся и выкатил вслед за протухшей 1.4.1 сразу 1.6.2. Но радость была преждевременной. Попытки запуска софта ни к чему не приводили; win<Tab> выдал крайне маленький список по сравнению с былым; в частности, куда-то исчез wineserver. Большинство ошибок запуска было связано с ненайденными виндовыми путями (что и не мудрено, сервера ж нет), одна была из-за какой-то ненайденной хрени в /usr/lib, полез искать, а оно оказалось рядом в подпапке, сделал симлинк, не помогло, естественно, и потом обнаружил, что будто по волшебному мановению патча Бармина куда-то исчезла ещё пара тулз, в частности, winecfg. PlayOnLinux работал, причём наконец-то начал подхватывать Luna-темы (он хоть и тянет свои версии Wine, но либы некоторые, видимо, из системы берёт). Ребутнулся, итог таков: wineserver таки нашёлся и висит в фоне, но запускается только Total Commander, прочий установленный софт кажет ошибки вида

wine: cannot find L"C:\\windows\\system32\\wineboot.exe"
err:process:start_wineboot failed to start wineboot, err 2
wine: cannot find L"C:\\windows\\system32\\explorer.exe"
Вайн у меня, кстати, 32-разрядный; зачем такой ставил, не помню, это преимущество вполне могло устареть. Но ставить 64-разрядный во избежание возможных проблем с зависимостями пока не хочу.

И да, куда делся winecfg?

Я было подумал, что это новость такая

batekman ★★★ ()

Кстати, а почему он в Debian и Ubuntu всегда такой старый? Если сторонние репозитории не подключать то 1.4. Ну ладно, вот вроде 1.6 появился. Но везде уж давно 1.7, во всех даже самых занюханых дистрах. И так всегда сколько помню, отставание чуть ли не на несколько лет, почему?

mbivanyuk ★★★★★ ()
Ответ на: комментарий от mbivanyuk

Нештабильно, виндовая вирусня может плохо работать в новых версиях.

anonymous ()

руки выпрямляй, УМВР. winecfg на месте.

до этого собирал 1.6.0 и 1.6.1 из исходников с патчем для стима — тоже работало.

alegz ★★ ()
Ответ на: комментарий от Adonai

Может, пакеты переустановить с предварительным purge?

И 2-3 раза попробовать, для надёжности.

anonymous ()
Ответ на: комментарий от RedEyedMan3

а собирает сам.

Какой смысл использовать дистрибутив, если пакеты приходится собирать руками?

anonymous ()
Ответ на: комментарий от mbivanyuk

И так всегда сколько помню, отставание чуть ли не на несколько лет, почему?

А потому, что в Стабильный Дебиан добавляются только стабильные выпуски софта, а некоторые пакеты стабильной версии (из их апстрима же) даже в Unstable.

И не прикидывайся дурачком, вайн тут стабильной версии только 1.6. 1.7 = разрабатываемая ветка.

RedEyedMan3 ()
Ответ на: комментарий от RedEyedMan3

такие как гента

В Генте всё в ебилдах - набрал команду и оно собирается. А качать сорцы с сайта, руками ставить нужные зависимости, исправлять возможные косяки в сборке, патчить...

anonymous ()
Ответ на: комментарий от anonymous

А качать сорцы с сайта, руками ставить нужные зависимости, исправлять возможные косяки в сборке, патчить..

И правда, зачем оно анонимусу, он же их на своем локалхосте и для себя собирает, а там можно даже по slackware style, впрочем и в генте надо фиксить кривые ебилды, ибо в самый ответственный момент любимый пакетик не соберется, а бинарников нигде нет.

RedEyedMan3 ()
Ответ на: комментарий от RedEyedMan3

он же их на своем локалхосте и для себя собирает

Давай, покажи мне свой репозиторий, где ты собираешь свежий Вайн для всего сообщества.

самый ответственный момент любимый пакетик не соберется

Ну да, конечно. Один и тот же ебилд вчера работал, а сегодня вдруг перестал.

надо фиксить кривые ебилды

Один ебилд пофикcить проще, чем это:

http://ftp.de.debian.org/debian/pool/main/w/wine/wine_1.6.2-2.debian.tar.gz

anonymous ()
Ответ на: комментарий от anonymous

Давай, покажи мне свой репозиторий, где ты собираешь свежий Вайн для всего сообщества.

В профиле найдешь. Только вот мне лениво ради пары пакетов репозиторий ваять, так что увы и ах.

Один ебилд пофикcить проще, чем это:

Это тоже легко фиксится, причем один раз, дальше только адаптация. В данном случае это уже проблемы мейнтейнера.

RedEyedMan3 ()

Попробуйте на чистом префиксе wine.

kostik87 ★★★★★ ()

куда-то исчез wineserver. Большинство ошибок запуска было связано с ненайденными виндовыми путями (что и не мудрено, сервера ж нет)

до сих пор проблема в генах. дальше не читал.

mos ★★☆☆☆ ()

Мейтейнер наконец-то проснулся

Если ты такой умный-умный, пойди в git-репозиторий пакета и посмотри историю коммитов. Мейнтейнер не засыпал ни на секунду.

uuwaan ★★ ()
Ответ на: комментарий от mbivanyuk

Потому что они стабильны. Нечетные версии (как 1.7) - девелоперские релизы.
Открою тебе страшную тайну: мейнтейнеры дебиана в большинстве своем - адские ленивцы. Все, что их волнует - залить пакет, который формально стабилен, и забить на него настолько надолго, насколько это возможно. Девелоперские версии wine обновляются почти каждую неделю, а стабильные - раз в несколько лет.

ArtKun ★★★★★ ()
Ответ на: комментарий от ArtKun

Я это понимаю, если бы речь шла про stable от debian и вопросов бы не было. Вопрос - почему в последней убунте 1.4? Я сегодня специально посмотрел - кроме 1.4 ничего свежее. Так то 1.6 уже давно везде. Для меня это несколько странно, в openSUSE к которой я привык уже очень давно есть 1.6, ну и 1.7 для тех кому посвежее.

mbivanyuk ★★★★★ ()
Ответ на: комментарий от ArtKun

Да, РРА то есть, поставить не проблема. Просто интересно почему космонавт не включит 1.6 в официальный репозиторий. Наверное же есть какая-то причина.

mbivanyuk ★★★★★ ()
Ответ на: комментарий от anonymous

В том, что еще две недели назад на carbon-project валялась версия 1.5, поросшая пылью.

uuwaan ★★ ()
Ответ на: комментарий от mbivanyuk

pasted from winehq.org

Stable: Wine 1.6.2 (shortlog)
Development: Wine 1.7.11 (shortlog)

Что тебя удивляет? Это же Debian.

MiniRoboDancer ★☆ ()
Ответ на: комментарий от anonymous

В первые две версии добавлены патчи для вывода звука через пульсы. А с 1.7.11 я не стал накладывать их, т.к. с этими патчами игорь заметно тормозит.

В чём отличие от http://dev.carbon-project.org/debian/wine-unstable/ ?

Это же пакеты для Unstable. а мои для Stable (Wheezy). В этом и отличие.

RedEyedMan3 ()
Ответ на: комментарий от anonymous

В самом начале идет

This is a build (for Debian Sid)...

Ставить этот вайн на стабильный выпуск нежелательно, пакеты слинкованы с зависимостями из unstable. Но если очень хочется, то можешь использовать и его.

RedEyedMan3 ()
Ответ на: комментарий от greenman

Кто-то фапает на циферки, кто-то на слово стабильная.

Как ты можешь так говорить? Ведь всем известно, что разработчики выпускают новые версии программ только для того, чтобы добавить туда баги. Никаких фич и фиксов там нет.

anonymous ()
Ответ на: комментарий от anonymous

Самое главное, что любой говнокод превращается в цацу, если просто отложить его попадание в репозиторий, никакого тестирования коммюнити не нужно.

anonymous ()
Ответ на: комментарий от RedEyedMan3

Можно ставить из ppa для старой убунты. Только там шаманить придётся, потому что зависимости немного не так прописаны. То ли пульса, то ли policykit с иной системой нумерации версий.

Xellos ★★★★★ ()
Ответ на: комментарий от Xellos

Зачем ты мне это написал? Стоит ли извращаться с зависимостями, если проще всего выполнить бэкпорт с минимальными правками? Очевидно нет. Впрочем, это твой выбор.

RedEyedMan3 ()
Ответ на: комментарий от mbivanyuk
kirill@haruhi:~/lor-project/lorsource$ apt-cache policy wine
wine:
  Установлен: 1.7.4-0ubuntu4
  Кандидат:   1.7.4-0ubuntu4
  Таблица версий:
 *** 1.7.4-0ubuntu4 0
        100 /var/lib/dpkg/status
     1.4.1-0ubuntu7 0
        500 http://ru.archive.ubuntu.com/ubuntu/ trusty/universe amd64 Packages
LongLiveUbuntu ★★★★★ ()
Ответ на: комментарий от Deleted

Ну а со стабильной работои приложений что? Подвижки какие-то есть?

MiniRoboDancer ★☆ ()
Ответ на: комментарий от yakunprufovnebudet

1,6 стабильным не вчера стал

Ну да, стабильный вайн в Дебиане и стабильный вайн на winehq две большие разницы.

RedEyedMan3 ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.